uucp(1)

NIMI
uucp - kopio Unixista Unixiin

YLEISKATSAUS
uucp [ optiot ] lähdetiedosto kohdetiedosto

uucp [ optiot ] lähdetiedosto... kohdehakemisto

KUVAUS
uucp komento kopioi tiedostoja eri järjestelmien välillä. Jokainen tiedosto lisämääre on joko polunnimi paikallisella koneella tai on muotoa

    systeemi!polku

jonka tulkitaan sijaitsevan etäjärjestelmässä. Ensimmäisessä käyttötapauksessa (kts. yllä), ensimmäisen tiedoston sisältö kopioidaan toiseen tiedostoon. Toisessa käyttötapauksessa, jokainen lähdetiedosto kopioidaan kohdehakemistoon. Tiedosto siirretään systeemi2 :een tai systeemi2 :sta systeemi1 välityksellä käyttäen muotoa

    systeemi1!systeemi2!polku.

Jokainen polunnimi joka ei ala merkeillä / tai ~ määritellään osoittavan nykyiseen hakemistoon (jollei -W tai --noexpand valitsinta ole käytetty); tällainen polku ei välttämättä ole olemassa etäjärjestelmässä. Polunnimi, joka on yksinkertaisesti ~ alkaa UUCP:n julkisesta hakemistosta; polunnimi, joka on ~nimi alkaa nimetyn käyttäjän kotihakemistosta. ~ tulkitaan tarkoituksenmukaisessa järjestelmässä. Huomaa että jotkut komentotulkit tulkitsevat ~ kuuluvan paikalliseen kotihakemistoon ennenkuin uucp havaitsee sen; tämän välttämiseksi ~ täytyy kiintiöidä. Komentotulkin metamerkit ? * [ ] tulkitaan tarkoituksenmukaisessa järjestelmässä, olettaen että ne ovat kiintiöity, jotta komentotulkki ei ehtisi tulkita niitä ensin. Kopiointi ei tapahdu heti, vaan putkitetaan uucico(8) demonille; demoni käynnistetään heti ellei -r tai --nouucico valitsinta ole käytetty. Joka tapauksessa, seuraavalla kerralla kun etäjärjestelmään otetaan yhteyttä tiedosto(t) kopioidaan.

VALITSIMET
Seuraavia optioita voidaan välittää komennolle uucp.

-c, --nocopy
    Älä kopioi paikallisia lähdetiedostoja jonohakemistoon. Jos ne poistetaan ennenkuin uucico(8) demoni ehtii käsitellä niitä, kopiointi epäonnistuu. Tiedostojen täytyy olla uucico(8) demonin ja käyttäjän luettavissa.

-C, --copy
    Kopioi paikalliset lähdetiedostot jonohakemistoon. Tämä toimii oletuksena.

-d, --directories
    Luo kaikki kopioitaessa tarvittavat hakemistot. Tämä toimii oletuksena.

-f, --nodirectories
    Jos kohdehakemistossa ei ole jotain tarvittua hakemistoa, keskeytä kopiointi.

-R, --recursive
    Jos jotkut lähdetiedoston nimistä ovat hakemistoja, kopioi niiden sisältö rekursiivisesti kohteeseen (jonka täytyy itsekin olla hakemisto).

-g grade, --grade grade
    Aseta tiedoston siirtokomennon arvo. Suurimman arvon omaavat työt suoritetaan ensin. Arvot ovat välillä 0 ... 9 A ... Z a ... z suurimmista arvoista pienimpiin arvoihin.

-m, --mail
    Raportoi tiedoston siirron onnistumisesta tai epäonnistumisesta mail(1) ohjelman avulla.

-n käyttäjä, --notify käyttäjä
    Raportoi tiedoston siirron onnistumisesta tai epäonnistumisesta mail(1) ohjelman avulla tietylle etäjärjestelmän käyttäjälle.

-r, --nouucico
    Älä käynnistä uucico(8) demonia heti; vaan laita tiedoston siirto jonotuslistalle myöhempää suorittamista varten.

-j, --jobid
    Tulosta tehtävän tunnus vakiotulosteeseen. Tehtävä voidaan perua myöhemmin välittämällä tehtävän tunnus uustat(1) ohjelmalle käyttäen. -k valitsinta. On mahdollista, että jotkut hyvin monimutkaiset toiminnot tuottavat useampiakin tehtävän tunnuksia, jolloin jokainen niistä tulostetaan erilliselle riville. Esimerkiksi
    uucp sys1!~käyttäjä1/tiedosto1 sys2!~käyttäjä2/tiedosto2 ~käyttäjä3
    tuottaa kaksi eri tehtävää, toisen järjestelmälle sys1 ja toisen vastaavasti järjestelmälle sys2.

-W, --noexpand
    Älä liitä etäjärjestelmässä olevia vastaavia polunnimiä kyseiseen hakemistoon.

-t, --uuto
    Tätä optiota käyttää uuto komentotulkki scripti. Sen vaikutuksesta uucp tulkitsee lopullisen argumentin olevan systeemi!käyttäjä. Tiedosto(t) lähetetään ~/receive/USER/LOCAL nimiseen etäjärjestelmän hakemistoon, jossa USER on lopullisesta argumentista (käyttäjä). LOCAL on paikallisen UUCP järjestelmän nimi. uucp käyttäytyy kuin --notify käyttäjä olisi määritelty.

-x tyyppi, --debug tyyppi
    Käynnistää erityisiä debuggaus-tapoja. Seuraavat tavat ovat tunnistettuja: abnormal, chat, handshake, uucp-proto, proto, port, config, spooldir, execute, incoming, outgoing. Vain abnormal, config, spooldir ja execute ovat merkityksellisiä uucp ohjelmalle. Useampiakin tapoja voidaan määritellä pilkuilla eroteltuina, ja --debug optio voi ilmetä useitakin kertoja. Ohjelmalle voi välittää myös numeron, joka tulee käynnistämään numeron edellyttämän määrän debuggaus-tapoja listalta; Esimerkiksi, --debug 2 tarkoittaa samaa kuin --debug abnormal,chat.

-I tiedosto, --config tiedosto
    Aseta konfigurointi tiedosto käyttöön. Tämän optio ei välttämättä ole käytössä, se riippuu tavasta jolla uucp käännettiin.

-v, --version
    Tulosta tietoa versiosta ja poistu.

--help
    Tulosta apuviesti ja poistu.

KATSO MYÖS
mail(1), uux(1), uustat(1), uucico(8)

BUGIT
Jotkut näistä optioista ovat riippuvaisia etäjärjestelmän uucico(8) demonin kyvyistä. -n ja -m valitsimet eivät toimi kun tiedostoa siirretään etäjärjestelmien välillä. Tiedostojen oikeuksia ei säilytetä, lukuunottamatta ajo-oikeuksia. UUCP:n käyttäjä omistaa siirretyn tiedoston.

TEKIJÄ
Ian Lance Taylor <ian@airs.com>

KÄÄNNÖS
Tämän käsikirjan suomenkielisen käännöksen tekivät Timo Tiirikka <tht801@GNWmail.com>

Tämä käännös on ilmainen dokumentaatio; katso tekijänoikeusehdot GNU General Public License -versiosta 3 (https://www.gnu.org/licenses/gpl-3.0.html) tai uudemmasta. Emme ota vastuuta.